Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.able
Interface Scrollable

All Superinterfaces:
  Delegateable, Heightable, Sizeable, Widthable

All Known Implementing Classes:
  ContainerEx, LiveTable, ScrollableDisplayLayoutData

    public interface Scrollable

extends Sizeable

A `Scrollable` is a component that can have a a fixed width and/or height, and can present scrollbars when the content of the component is too large to fit inside.

### SCROLLBARS

Since a `Scrollable` can be made a fixed size, by setting its width and/or height properties, it has support for a scroll bar policy which controls how scroll bars are used if the content of the component will not fit into the fixed size.

If the scroll bar policy is NEVER, then no scroll bars will be shown and the content inside the component will be clipped to the bounding rectangle.

If the scroll bar policy is ALWAYS, then scroll bars will always be shown, regardless of whether the content is too big for the bounding rectangle, which allows the user to view all the content.

If the scroll bar policy is AUTO, then scroll bars will be shown when appropriate, ie when the content is too big for the bounding rectangle.

Field Summary
`static int` | `ALWAYS` A scroll bar policy that will cause scroll bars to always appear, without regard for whether they are required.
`static int` | `AUTO` A scroll bar policy that will cause scroll bars to be visible if they are necessary, and invisible if they are not.
`static int` | `CLIPHIDE` A scroll bar policy that will cause scroll bars to never appear, without regard for whether they are required.
`static int` | `NEVER` A scroll bar policy that will cause scroll bars to never appear, without regard for whether they are required.
`static java.lang.String` | `PROPERTY_SCROLL_BAR_BASE_COLOR`
`static java.lang.String` | `PROPERTY_SCROLL_BAR_POLICY`
`static java.lang.String` | `PROPERTY_SCROLL_BAR_PROPERTIES`
`static int` | `UNDEFINED` A scroll bar policy that will cause not cause any scroll bar policy to be applied at all.

Fields inherited from interface echopointng.able.Widthable
`PROPERTY_WIDTH`

Fields inherited from interface echopointng.able.Heightable
`PROPERTY_HEIGHT`

Method Summary
`Color` | `getScrollBarBaseColor()` Returns the base color of the ScrollBarProperties associated with this `Scrollable`
`int` | `getScrollBarPolicy()` Returns the ScrollBarPolicy in place This can be one of : NONE ALWAYS AUTO CLIPHIDE
`ScrollBarProperties` | `getScrollBarProperties()` Returns the ScrollBarProperties associated with this `Scrollable`
`void` | `setScrollBarBaseColor(Color newValue)` Sets the base color of the ScrollBarProperties associated with this `Scrollable`.
`void` | `setScrollBarPolicy(int newScrollBarPolicy)` Sets the scroll bar policy of the component This can be one of : SCOLLBARS_NONE SCOLLBARS_ALWAYS SCOLLBARS_AUTO CLIPHIDE
`void` | `setScrollBarProperties(ScrollBarProperties newValue)` Sets the ScrollBarProperties associated with this `Scrollable`

Methods inherited from interface echopointng.able.Widthable
`getWidth, setWidth`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Methods inherited from interface echopointng.able.Heightable
`getHeight, setHeight`

Methods inherited from interface echopointng.able.Delegateable
`getRenderProperty, getRenderProperty`

Field Detail

### UNDEFINED

    static final int UNDEFINED

  A scroll bar policy that will cause not cause any scroll bar policy to be applied at all. Its as if no scroll bar policy is in place.

  See Also:
    Constant Field Values

### NEVER

    static final int NEVER

  A scroll bar policy that will cause scroll bars to never appear, without regard for whether they are required. Content is never clipped even if its to large for the components dimensions.

  See Also:
    Constant Field Values

### ALWAYS

    static final int ALWAYS

  A scroll bar policy that will cause scroll bars to always appear, without regard for whether they are required.

  See Also:
    Constant Field Values

### AUTO

    static final int AUTO

  A scroll bar policy that will cause scroll bars to be visible if they are necessary, and invisible if they are not.

  See Also:
    Constant Field Values

### CLIPHIDE

    static final int CLIPHIDE

  A scroll bar policy that will cause scroll bars to never appear, without regard for whether they are required. Content will always be clipped to the components dimensions and the scollbars are hidden.

  See Also:
    Constant Field Values

### PROPERTY_SCROLL_BAR_POLICY

    static final java.lang.String PROPERTY_SCROLL_BAR_POLICY

See Also:
  Constant Field Values

### PROPERTY_SCROLL_BAR_BASE_COLOR

    static final java.lang.String PROPERTY_SCROLL_BAR_BASE_COLOR

See Also:
  Constant Field Values

### PROPERTY_SCROLL_BAR_PROPERTIES

    static final java.lang.String PROPERTY_SCROLL_BAR_PROPERTIES

See Also:
  Constant Field Values

Method Detail

### getScrollBarPolicy

    int getScrollBarPolicy()

  Returns the ScrollBarPolicy in place This can be one of :
  - NONE
  - ALWAYS
  - AUTO
  - CLIPHIDE

### getScrollBarBaseColor

    Color getScrollBarBaseColor()

  Returns the base color of the ScrollBarProperties associated with this `Scrollable`

  Returns:
    the base color of the ScrollBarProperties associated with this `Scrollable`

### getScrollBarProperties

    ScrollBarProperties getScrollBarProperties()

  Returns the ScrollBarProperties associated with this `Scrollable`

  Returns:
    the ScrollBarProperties associated with this `Scrollable`

### setScrollBarPolicy

    void setScrollBarPolicy(int newScrollBarPolicy)

  Sets the scroll bar policy of the component This can be one of :
  - SCOLLBARS_NONE
  - SCOLLBARS_ALWAYS
  - SCOLLBARS_AUTO
  - CLIPHIDE

### setScrollBarBaseColor

    void setScrollBarBaseColor(Color newValue)

  Sets the base color of the ScrollBarProperties associated with this `Scrollable`. If no ScrollBarProperties is available, then a new one should be created.

  Parameters:
    `newValue` - - the new base color of ScrollBarProperties to use

### setScrollBarProperties

    void setScrollBarProperties(ScrollBarProperties newValue)

  Sets the ScrollBarProperties associated with this `Scrollable`

  Parameters:
    `newValue` - - the new ScrollBarProperties to use

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD